#include "stack-c.h"

extern int geom(int m, int n, double p, int y[]); 

int intgeom(char *fname)
{
  int l1, m1, n1, l2, m2, n2, m3, n3, l3;
  int minlhs=1, maxlhs=1, minrhs=3, maxrhs=3;
  int m,n,y;  double p;
  
  /* 1 - Vrification du nombre d'arguments d'entre et de sortie */
  CheckRhs(minrhs,maxrhs) ;
  CheckLhs(minlhs,maxlhs) ;

  /* 2 - Vrification du type des arguments et retour des pointeurs */
  GetRhsVar(1, "i", &m1, &n1, &l1); 
  GetRhsVar(2, "i", &m2, &n2, &l2);
  GetRhsVar(3, "d", &m3, &n3, &l3);
  
  if ( m1*n1 != 1 || m2*n2 != 1 || m3*n3 != 1) 
    {
      cerro("Erreur: les arguments de geom doivent etre scalaires");
      return 0;
    }
  /* 3 - Extraction des valeurs */
  m = *istk(l1); n = *istk(l2) ; p = *stk(l3); 

  /* 4 - Cration de la variable de retour */
  CreateVar(4,"i",&m,&n,&y); 
  if ( geom(m,n,p,istk(y)) == 1 ) return 0;
  
  /* 5 - Spcification de la variable de retour */
  LhsVar(1) = 4;
  return 0;
}
